Issue 83760

Summary: Not all form controls support transparency
Product: General Reporter: joerg.skottke
Component: uiAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.0.0   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description joerg.skottke 2007-11-19 14:24:51 UTC
Most of the controls for BASIC dialogs now support transparency
(introduced/fixed with issue 83237) but a few have been overseen:

- Command button
- Listbox
- Combo box
- Date field
- Time field
- Numeric field
- Currency field
- Formatted field
- Pattern field
- File Selection
Comment 1 carsten.driesner 2007-11-21 09:59:35 UTC
cd: Accepted.
Comment 2 carsten.driesner 2007-12-04 10:56:41 UTC
cd: As discussed by phone we agreed that support transparency for Fixed Text,
Radio Button and Check Box was the first goal to reach. Support transparency for
the other controls can be quite complicated as they paint their background
manually. So this issue is more like an enhancement from my point of view.
Therefore I have to postpone this issue to OOo 3.x.